/********************************************************************
*  This is the header file of the on-board real-time-library for 
*  the SORCUS board MODULAR-4/486 (ML8). 
*
*  The library can be used with the compilers
*
*     Borland C (Version 3.1, 4.5 or 5.0)
*
*  To get a program that can run on the MODULAR-4 you have to 
*  link the startup-codes from SORCUS. A description, how to 
*  link the startup codes and the library ML8RTBIB to your 
*  program, is placed in your user manual and also in the file 
*  README.DOC. This file also consists a history of the library 
*  and finally tips & trics.
*
*
*  Author         Dipl.-Ing. H.Doersam
*
*  Last change    03/04/98
*
*  Copyrights by SORCUS Computer GmbH 1998
*  All rights reserved.
********************************************************************/


// Defines for Preprocessor:
//
// USE_ML8_MACROS       To include the ML8 macros
//
// __BORLANDC__         To compile with Borland C compiler. 
//                      The define is already done by the compiler.
//
// _MSC_VER             To compile with Microsoft C compiler. 
//                      The define is already done by the compiler.
//
// __LARGE__            Only Borland C: Memory model LARGE. 
//                      The define is already done by the compiler.
//
// _M_I86LM             Only Microsoft C: Memory model LARGE. 
//                      The define is already done by the compiler.
//
// __BUILD_RTBIB__      To build the library ML8RTBIB
//
// __BUILD_PASCAL__     To build the library ML8RTBIB for Pascal




#ifndef _INC_ML8RTBIB


#define __ML8__
#define __RT__
#define ML8RTBIB



#ifdef USE_ML8_MACROS

#ifndef __MLXMACRO__
#define __MLXMACRO__
#endif // !__MLXMACRO__

#endif // USE_ML8_MACROS



#include <MLXRT.H>



#define _INC_ML8RTBIB
#endif // !_INC_ML8RTBIB


